| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
uhd::rfnoc::chdr::mgmt_op_t::cfg_payload Struct Reference

`#include <uhd/rfnoc/chdr_types.hpp>`

## Public Member Functions
| cfg_payload (uint16_t addr_, uint32_t data_=0)
| cfg_payload (payload_t payload_)
| operator payload_t () const

## Public Attributes
const uint16_t | addr
const uint32_t | data

## Detailed Description

An interpretation class for the payload for MGMT_OP_CFG_WR_REQ, MGMT_OP_CFG_RD_REQ and MGMT_OP_CFG_RD_RESP

## Constructor & Destructor Documentation

## ◆ cfg_payload() [1/2]

uhd::rfnoc::chdr::mgmt_op_t::cfg_payload::cfg_payload | ( | uint16_t | addr_,
|  | uint32_t | data_ = 0 )
| inline

## ◆ cfg_payload() [2/2]

uhd::rfnoc::chdr::mgmt_op_t::cfg_payload::cfg_payload | ( | payload_t | payload_ | ) |
| inline

## Member Function Documentation

## ◆ operator payload_t()

uhd::rfnoc::chdr::mgmt_op_t::cfg_payload::operator payload_t | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ addr

const uint16_t uhd::rfnoc::chdr::mgmt_op_t::cfg_payload::addr

## ◆ data

const uint32_t uhd::rfnoc::chdr::mgmt_op_t::cfg_payload::data

The documentation for this struct was generated from the following file:

- chdr_types.hpp